#!/usr/bin/env node
const fs = require("fs")
const { format } = require("prettier")
const babel = require("@babel/core")

// Main
const res = babel.transformFileSync("src/index.ts", {
  presets: ["@babel/preset-typescript"],
  plugins: ["@babel/plugin-transform-modules-commonjs"],
})
fs.writeFileSync(
  "lib/index.js",
  format(`/* eslint-disable */\n${res.code}`, { parser: "babel" })
)

// package.json
const pkg = require("../package.json")
delete pkg.scripts
delete pkg.devDependencies
delete pkg.prettier
fs.writeFileSync("lib/package.json", JSON.stringify(pkg, null, 2))
